diff -Nur /tmp/matroxdriver-1.4.4.1/install.sh /tmp/matroxdriver-x86_32-1.4.4.2/install.sh
--- /tmp/matroxdriver-1.4.4.1/install.sh	2006-07-10 18:56:28.000000000 +0200
+++ /tmp/matroxdriver-x86_32-1.4.4.2/install.sh	2006-07-20 17:01:34.000000000 +0200
@@ -204,57 +204,46 @@
 function GetXVersion
 {
     XVERSION=`X -version 2>&1 | grep -s "XFree86 Version" | cut -d" " -f3 | sed -e "s/\([^\.]*\.[^\.]*\.[^\.]*\)\.[^\.]*/\1/"`
-    if test -z $XVERSION ; then 
+    if test -z $XVERSION ; then
         XVERSION=`X -version 2>&1 | grep -s "X Protocol Version" | sed -e "s/Revision[^0-9]*\([0-9]*\), Release[^0-9]*\([0-9.]*\)/\2\.\1/" | cut -d" " -f 5-`
     fi
-        
-    export XVERSION
-
-    MAJOR=`echo $XVERSION | awk 'BEGIN {FS="."; } $1 != "" { print $1; }'`
-    MINOR=`echo $XVERSION | awk 'BEGIN {FS="."; } $2 != "" { print $2; }'`
-    PATCH=`echo $XVERSION | awk 'BEGIN {FS="."; } $3 != "" { print $3; }'`
-    export XVERSION_PATH=$MAJOR"_"$MINOR"_"$PATCH
 
-    if ! test -e ./xserver/$XVERSION_PATH ; then
-    	# HACK fix for SuSE 9.1
-    	if [ "$XVERSION" == "4.3.99" ]; then
-                XPRESENT=1
-                XVERSION="6.7.0"
-    	elif [ "$XVERSION" == "4.3.99.902" ]; then
-                XPRESENT=1
-                XVERSION="6.7.0"
-    	# HACK fix for Distros that use XFree86 4.4.0
-    	elif [ "$XVERSION" == "4.4.0" ]; then
-    	    XPRESENT=1
+    # HACK fix for SuSE 9.1
+    if [ "$XVERSION" == "4.3.99" ]; then
+            XVERSION="6.7.0"
+    elif [ "$XVERSION" == "4.3.99.902" ]; then
+            XVERSION="6.7.0"
+    # HACK fix for Distros that use XFree86 4.4.0
+    elif [ "$XVERSION" == "4.4.0" ]; then
             XVERSION="6.7.0"
-    	elif [ "$XVERSION" == "6.8.1.0" ]; then
-    	    XPRESENT=1
+    elif [ "$XVERSION" == "6.8.1.0" ]; then
             XVERSION="6.8.1"
-    	elif [ "$XVERSION" == "6.8.2.0" ]; then
-    	    XPRESENT=1
+    elif [ "$XVERSION" == "6.8.2.0" ]; then
             XVERSION="6.8.2"
-    	# HACK fix for Mandriva 2006
-    	elif [ "$XVERSION" == "6.8.99" ]; then
-    	    XPRESENT=1
+    # HACK fix for Mandriva 2006
+    elif [ "$XVERSION" == "6.8.99" ]; then
             XVERSION="6.9.0"
-    	elif [ "$XVERSION" == "6.8.99.900" ]; then
-    	    XPRESENT=1
+    elif [ "$XVERSION" == "6.8.99.900" ]; then
             XVERSION="6.9.0"
-    	elif [ "$XVERSION" == "6.8.99.900.0" ]; then
-    	    XPRESENT=1
+    elif [ "$XVERSION" == "6.8.99.900.0" ]; then
             XVERSION="6.9.0"
-        elif [ "$XVERSION" == "7.0.0" ]; then
-            XPRESENT=1
-            XVERSION="7.0.0"
-        elif [ "$XVERSION" == "7.1.0" ]; then
-            XPRESENT=1
+    # HACK fix for Xorg 7.1.1 pre-release
+    elif [ "$XVERSION" == "7.1.1.0" ]; then
             XVERSION="7.1.0"
-    	else
+    fi
+
+    export XVERSION
+
+    MAJOR=`echo $XVERSION | awk 'BEGIN {FS="."; } $1 != "" { print $1; }'`
+    MINOR=`echo $XVERSION | awk 'BEGIN {FS="."; } $2 != "" { print $2; }'`
+    PATCH=`echo $XVERSION | awk 'BEGIN {FS="."; } $3 != "" { print $3; }'`
+    export XVERSION_PATH=$MAJOR"_"$MINOR"_"$PATCH
+
+    if ! test -e ./xserver/$XVERSION_PATH ; then
             echo -e "$RED\033[1mERROR\033[0m: \033[1mThe X server drivers included in this installation package"
             echo -e "       do not support the current version of your X server.\033[0m"
-        	echo $XVERSION 
+           echo $XVERSION
             exit 1
-    	fi
     else
         XPRESENT=1
     fi
@@ -264,7 +253,8 @@
 {
     if [ "$XPRESENT"=="1" ]; then
 
-        if [ "$XVERSION" == "7.0.0" -o "$XVERSION" == "7.1.0" ]; then
+        # Xorg 7 uses a slightly modified modular filesystem hierarchy
+        if [ "${XVERSION:0:1}" == "7" ]; then
     	    export XINSTALLDIR=/usr/$XLIBRARYPATH/xorg/modules/drivers
         else
             export XINSTALLDIR=$XPATH/$XLIBRARYPATH/modules/drivers
@@ -841,7 +831,7 @@
 
 function SetOpenGLInstallPath
 {
-    if [ "$XVERSION" == "7.0.0" -o "$XVERSION" == "7.1.0" ]; then
+    if [ "${XVERSION:0:1}" == "7" ]; then
         export GLXINSTALLDIR=/usr/$XLIBRARYPATH/xorg/modules/extensions
     else
         export GLXINSTALLDIR=$XPATH/$XLIBRARYPATH/modules/extensions

